class V1::ScoresController < ApplicationController
  before_action :set_score, only: [:update]
  before_action :authenticate_user!, only: [:update]

  # GET v1/scores
  # GET v1/scores.json
  def index
    render json: Score.order(:name).includes(:score_user_categories).sort{|score| score.score_user_categories.size}.reverse
  end

  # PUT/PATCH /v1/institutions/1
  # PUT/PATCH /v1/institutions/1.json
  def update
    if @score.update(score_params)
      render json: @score, status: :ok
    else
      render json: @score.errors, status: :unprocessable_entity
    end
  end

  private

  def set_score
    @score = Score.find params[:id]
  end

  def score_params
    params.require(:score).permit(:name, :weight, :active, score_type: [])
  end

end
