class AttachmentCacheService
  def initialize(attachment)
    @attachment = attachment
  end

  def link
    return @attachment.cache_link if !@attachment.cache_link.nil? && File.exist?(file_root)
    AttachmentCacheWorker.perform_async(@attachment.id, dir_path)
    @attachment.retrieve_url
  end

  def file_root
    Rails.root.join('public', dir_path, @attachment.name)
  end

  private

  def dir_path
    "attachments/#{@attachment.id}"
  end
end
